package com.ruoyi.board.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 情报板协议库
 */
@Data
@TableName(value = "pub_board_protocol")
public class BoardProtocol {
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 情报板品牌
     */
    @TableField(value = "brand")
    private String brand;

    /**
     * 情报板通讯协议
     */
    @TableField(value = "protocol")
    private String protocol;

    /**
     * 备注
     */
    @TableField(value = "remark")
    private String remark;
}