package com.ruoyi.board.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Data;

/**
 * 发布记录表
 */
@Data
@TableName(value = "pub_release_record")
public class ReleaseRecord {
    /**
     * 主键自增
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 情报板ID
     */
    @TableField(value = "board_id")
    private Integer boardId;

    /**
     * 预置信息ID
     */
    @TableField(value = "preset_content_id")
    private Integer presetContentId;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "created_by")
    private Integer createdBy;

    /**
     * 预警计划级别
     */
    @TableField(value = "plan_id")
    private Integer planId;
}